Difference between revisions of "Arch Add/de"

From FreeCAD Documentation
Jump to navigation Jump to search
(Updating to match new version of source page)
 
(27 intermediate revisions by 3 users not shown)
Line 1: Line 1:
 
<languages/>
 
<languages/>
{{docnav/de
+
<div class="mw-translate-fuzzy">
|[[Arch_CutPlane/de|Schneiden in einer Ebene]]
+
{{Docnav/de
 +
|[[Arch_CutPlane/de|Schneiden mit Ebene]]
 
|[[Arch_Remove/de|Komponente entfernen]]
 
|[[Arch_Remove/de|Komponente entfernen]]
|[[Arch_Module/de|Arch-Arbeitsbereich]]
+
|[[Arch_Module/de|Arch Arbeitsbereich]]
 
|IconL=Arch_CutPlane.svg  
 
|IconL=Arch_CutPlane.svg  
 
|IconC=Workbench_Arch.svg  
 
|IconC=Workbench_Arch.svg  
 
|IconR=Arch_Remove.svg
 
|IconR=Arch_Remove.svg
 
}}
 
}}
 +
</div>
  
 +
<div class="mw-translate-fuzzy">
 
{{GuiCommand/de
 
{{GuiCommand/de
|Name=Arch Add|Name/de=Teil hinzufügen
+
|Name=Arch Add
|MenuLocation=Architektur → Teil hinzufügen
+
|Name/de=Arch hinzufügen
 +
|MenuLocation=Architektur → Hinzufügen
 
|Workbenches=[[Arch Module/de|Arch]]
 
|Workbenches=[[Arch Module/de|Arch]]
|Shortcut={{KEY|W}} {{KEY|A}}
+
|SeeAlso=[[Arch Remove/de|Arch Entfernen]]
|SeeAlso=[[Arch Remove/de|Entfernen]]
 
 
}}
 
}}
 +
</div>
  
 
==Beschreibung==  
 
==Beschreibung==  
  
Das Teil hinzufügen - Werkzeug erlaubt folgende Arten von Operationen:
+
<div class="mw-translate-fuzzy">
* Ein [[Part Module/de|Primitiven]]-basiertes Objekt wird einer Architekturkomponente hinzugefügt, beispielsweise eine [[Arch Wall/de|Wand]] oder ein [[Arch Structure/de|Bauelement]]. Diese Objekte werden dann Teil der Architekturkomponente, wobei sich aber deren grundlegende Parameter wie Höhe oder Breite weiterhin verändern lassen.
+
Das Werkzeug Hinzufügen ermöglicht dir 4 Arten von Arbeitsschritten durchzuführen:
* Füge eine Architekturkomponente, wie z.B. eine [[Arch Wall/de|Wand]] oder ein [[Arch Structure/de|Bauelement]], zu einer Gruppierung von Architekturelementen, wie z.B. einer [[Arch Floor/de|Etage]], hinzu.
+
* Hinzufügen von [[Part Module/de|Form]]-basierten Objekten zu einer Arch Komponente, wie einer {{KEY|[[Image:Arch_Wall.svg|16px]] [[Arch Wall/de|Mauer]]}} oder {{KEY|[[Image:Arch_Structure.svg|16px]] [[Arch Structure/de|Struktur]]}}. Diese Objekte werden dann Teil der Arch Komponente und ermöglichen es dir, ihre Form zu verändern, wobei die Basiseigenschaften wie Breite und Höhe erhalten bleiben.
* Füge ein [[Arch Axis/de|Achsensystem]] zu [[Arch Structure/de|Bauelementen]] hinzu.
+
* Hinzufügen von Arch Komponenten, wie ein {{KEY|[[Image:Arch_Wall.svg|16px]] [[Arch Wall/de|Arch Wände]]}} oder {{KEY|[[Image:Arch_Structure.svg|16px]] [[Arch Structure/de|Arch Strukturen]]}}, zu einem gruppenbasierten Arch Objekt wie {{KEY|[[Image:Arch_Floor.svg|16px]] [[Arch Floor|Arch Böden]]}}.
* Füge Objekte zu [[Arch SectionPlane/de|Schnittebenen]] hinzu.
+
* Hinzufügen von {{KEY|[[Image:Arch_Axis.svg|16px]] [[Arch Axis/de|Achsensysteme]]}} zu {{KEY|[[Image:Arch_Structure.svg|16px]] [[Arch Structure/de|Strukturobjekte]]}}
 +
* Objekte zu {{KEY|[[Image:Arch_SectionPlane.svg|16px]][[Arch SectionPlane/de|Schnittebenen]]}} hinzufügen
 +
</div>
  
Das Gegenstück zu diesem Werkzeug ist das [[Arch Remove/de|Entfernen]]-Werkzeug.
+
Das Gegenstück zu diesem Werkzeug ist das {{Button|[[Image:Arch_Remove.svg|16px]][[Arch Remove/de|Arch Entfernen]]}} Werkzeug.
  
 
[[Image:Arch Add example.jpg|640px]]
 
[[Image:Arch Add example.jpg|640px]]
Line 33: Line 39:
  
 
# Wähle ein oder mehrere hinzuzufügende Objekte, dann das Zielobjekt. Das Zielobjekt muss das letze ausgewählte Objekt sein.
 
# Wähle ein oder mehrere hinzuzufügende Objekte, dann das Zielobjekt. Das Zielobjekt muss das letze ausgewählte Objekt sein.
# Drücke die Schaltfläche {{Button|[[Image:Arch Add.png|16px]] [[Arch Add/de|Hinzufügen]]}}.
+
# Drücke die Schaltfläche {{Button|[[Image:Arch Add.png|16px]] [[Arch Add/de|Hinzufügen]]}} oder benutze {{KEY|Arch}} → {{KEY|[[Image:Arch Add.svg|16px]] [[Arch Add/de|Hinzufügen]]}} aus dem Top-Menü.
  
==Scripting==
+
==Skripten==
{{Emphasis|Siehe auch:}} [[Arch API/de|Arch API]] und [[FreeCAD Scripting Basics/de|FreeCAD Scripting Basics]].
+
{{Emphasis|Siehe auch:}} [[Arch API/de|Arch API]] und [[FreeCAD Scripting Basics/de|FreeCAD Grundlagen Skripten]].
  
Das Hinzufügen-Werkzeug kann in [[macros/de|Makros]] und aus der [[Python/de|Python]]-Konsole heraus durch folgende Funktion angesprochen werden:
+
Das Gitter Werkzeug kann in [[macros/de|Makros]] und von der [[Python/de|Python]] Konsole aus durch folgende Funktion verwendet werden:
{{Code|code=
+
:{{Code|code=
 
addComponents(objectsList, host)
 
addComponents(objectsList, host)
 
}}
 
}}
  
* Fügt die in {{incode|objectsList}} gegebenen Objekte zum {{incode|host}}-Objekt hinzu.
+
: Der obige Code Schnipsel fügt die in {{incode|objectsList}} angegebenen Objekte zum {{incode|host}}-Objekt hinzu.
** {{incode|objectsList}} kann ein einzelnes Objekt oder eine Liste von Objekten sein.
+
: '''Anmerkung''' {{incode|objectsList}} kann ein einzelnes Objekt oder eine Liste von Objekten sein.
  
 
Beispiel:
 
Beispiel:
 +
 
{{Code|code=
 
{{Code|code=
 
import FreeCAD, Arch, Draft, Part
 
import FreeCAD, Arch, Draft, Part
Line 66: Line 73:
 
FreeCAD.ActiveDocument.recompute()
 
FreeCAD.ActiveDocument.recompute()
 
}}
 
}}
{{docnav/de
+
 
|[[Arch_CutPlane/de|Schneiden in einer Ebene]]
+
<div class="mw-translate-fuzzy">
 +
{{Docnav/de
 +
|[[Arch_CutPlane/de|Schneiden mit Ebene]]
 
|[[Arch_Remove/de|Komponente entfernen]]
 
|[[Arch_Remove/de|Komponente entfernen]]
|[[Arch_Module/de|Arch-Arbeitsbereich]]
+
|[[Arch_Module/de|Arch Arbeitsbereich]]
|IconL=Arch_Space.svg
+
|IconL=Arch_CutPlane.svg  
|IconC=Workbench_Arch.svg
+
|IconC=Workbench_Arch.svg  
|IconR=Arch_Panel.svg
+
|IconR=Arch_Remove.svg
 
}}
 
}}
{{Arch Tools navi/de}}
+
</div>
{{Userdocnavi/de}}
+
 
 +
{{Arch Tools navi{{#translation:}}}}
 +
 
 +
{{Userdocnavi{{#translation:}}}}

Latest revision as of 12:29, 1 December 2020

Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎română • ‎svenska • ‎čeština • ‎русский • ‎中文(中国大陆)‎ • ‎日本語

Arch Add.svg Arch hinzufügen

Menüeintrag
Architektur → Hinzufügen
Arbeitsbereich
Arch
Standardtastenkürzel
None
In der Version eingeführt
-
Siehe auch
Arch Entfernen


Beschreibung

Das Werkzeug Hinzufügen ermöglicht dir 4 Arten von Arbeitsschritten durchzuführen:

  • Hinzufügen von Form-basierten Objekten zu einer Arch Komponente, wie einer Arch Wall.svg Mauer oder Arch Structure.svg Struktur. Diese Objekte werden dann Teil der Arch Komponente und ermöglichen es dir, ihre Form zu verändern, wobei die Basiseigenschaften wie Breite und Höhe erhalten bleiben.
  • Hinzufügen von Arch Komponenten, wie ein Arch Wall.svg Arch Wände oder Arch Structure.svg Arch Strukturen, zu einem gruppenbasierten Arch Objekt wie Arch Floor.svg Arch Böden.
  • Hinzufügen von Arch Axis.svg Achsensysteme zu Arch Structure.svg Strukturobjekte
  • Objekte zu Arch SectionPlane.svgSchnittebenen hinzufügen

Das Gegenstück zu diesem Werkzeug ist das Arch Remove.svgArch Entfernen Werkzeug.

Arch Add example.jpg

Ein Quader wird einer Wand als Komponente hinzugefügt.


Anwendung

  1. Wähle ein oder mehrere hinzuzufügende Objekte, dann das Zielobjekt. Das Zielobjekt muss das letze ausgewählte Objekt sein.
  2. Drücke die Schaltfläche Arch Add.png Hinzufügen oder benutze ArchArch Add.svg Hinzufügen aus dem Top-Menü.

Skripten

Siehe auch: Arch API und FreeCAD Grundlagen Skripten.

Das Gitter Werkzeug kann in Makros und von der Python Konsole aus durch folgende Funktion verwendet werden:

addComponents(objectsList, host)
Der obige Code Schnipsel fügt die in objectsList angegebenen Objekte zum host-Objekt hinzu.
Anmerkung objectsList kann ein einzelnes Objekt oder eine Liste von Objekten sein.

Beispiel:

import FreeCAD, Arch, Draft, Part

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(2000, 2000, 0)

Line = Draft.makeWire([p1, p2])
Wall = Arch.makeWall(Line, width=150, height=2000)

p3 = FreeCAD.Vector(0, 2000, 0)
p4 = FreeCAD.Vector(3000, 0, 0)

Line2 = Draft.makeWire([p3, p4])
Wall2 = Arch.makeWall(Line2, width=150, height=2000)
FreeCAD.ActiveDocument.recompute()

Arch.addComponents(Wall2, Wall)
FreeCAD.ActiveDocument.recompute()